package edu.sc.seis.gee.task;

import java.util.Map;

/**
 * TestRespondTask.java
 *
 *
 * Created: Thu Jan 10 14:54:02 2002
 *
 * @author <a href="mailto:">Philip Crotwell</a>
 * @version
 */

public class TestRespondTask implements Task {
    public TestRespondTask (){
	
    }
    
    public void configure(Map params)  {
	configParams = params;
    }

    public void invoke() {
	numInvoke++;
    }

    public void destroy(){}

    public String getResponse() {
	return (String)configParams.get("response")+"  "+numInvoke;
    }

    Map configParams;

    int numInvoke = 0;

}// TestRespondTask
